Skip to main content
GET
/
public
/
v1
/
accounts
/
{account_number}
Get account
curl --request GET \
  --url https://api.dualentry.com/public/v1/accounts/{account_number}/ \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "name": "<string>",
  "number": 123,
  "description": "<string>",
  "is_active": true,
  "is_system": true,
  "company_id": 123,
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

account_number
integer
required

Response

OK

id
integer
required
name
string
required
number
integer
required
description
string
required
is_active
boolean
required
is_system
boolean
required
company_id
integer | null
required
account_type
enum<string>
required
Available options:
bank,
accounts_receivable,
other_current_asset,
fixed_asset,
unbilled_receivable,
deferred_expense,
other_asset,
investment,
accounts_payable,
credit_card,
deferred_revenue,
long_term_liability,
other_current_liability,
equity,
income,
cost_of_goods_sold,
expense,
other_income,
other_expense
currency_iso_4217_code
enum<string> | null
required

The ISO 4217 code of the currency of the account. Only available for bank type accounts.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
category_1099
required
Available options:
NEC-Box 1,
MISC-Box 1,
MISC-Box 2,
MISC-Box 3,
MISC-Box 4,
MISC-Box 5,
MISC-Box 6,
MISC-Box 8,
MISC-Box 9,
MISC-Box 10,
MISC-Box 11,
MISC-Box 12,
MISC-Box 14,
MISC-Box 15,
INT-Box 1,
INT-Box 2,
INT-Box 3,
DIV-Box 1a,
DIV-Box 1b,
DIV-Box 2a,
DIV-Box 2b,
DIV-Box 2c,
DIV-Box 2d,
DIV-Box 2e,
DIV-Box 2f,
DIV-Box 3,
DIV-Box 4,
DIV-Box 5,
DIV-Box 6,
DIV-Box 7,
DIV-Box 8,
DIV-Box 9,
DIV-Box 10,
DIV-Box 12,
DIV-Box 13
system_ref
enum<string> | null
required
Available options:
Accounts Receivable,
IC Accounts Receivable,
IC Due From,
Vendor Deposits,
Undeposited Funds,
Accumulated Depreciation,
Accounts Payable,
IC Accounts Payable,
IC Due To,
Customer Deposits,
Tax Payable,
Accrued Purchases,
Deferred Revenue,
Cumulative Translation Adjustment - Elimination,
Cumulative Translation Adjustment,
Retained Earnings,
Net Income,
Realized Gain/Loss,
Unrealized Gain/Loss,
Matching Gain/Loss,
Rounding Gain/Loss
created_by
AuditActorSchemaOut · object

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object

Schema for audit actor information.

Last modified on May 28, 2026